<?php
/**
 * Theme Palace basic theme structure hooks
 *
 * This file contains structural hooks.
 *
 * @package Theme Palace
 * @subpackage Power News
 * @since Power News 1.0.0
 */

$options = power_news_get_theme_options();


if ( ! function_exists( 'power_news_doctype' ) ) :
	/**
	 * Doctype Declaration.
	 *
	 * @since Power News 1.0.0
	 */
	function power_news_doctype() {
	?>
		<!DOCTYPE html>
			<html <?php language_attributes(); ?>>
	<?php
	}
endif;

add_action( 'power_news_doctype', 'power_news_doctype', 10 );


if ( ! function_exists( 'power_news_head' ) ) :
	/**
	 * Header Codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_head() {
		?>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
			<link rel="pingback" href="<?php esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
		<?php endif;
	}
endif;
add_action( 'power_news_before_wp_head', 'power_news_head', 10 );

if ( ! function_exists( 'power_news_page_start' ) ) :
	/**
	 * Page starts html codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_page_start() {
		?>
		<div id="page" class="site">
			<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'power-news' ); ?></a>
			<div class="menu-overlay"></div>

		<?php
	}
endif;
add_action( 'power_news_page_start_action', 'power_news_page_start', 10 );

if ( ! function_exists( 'power_news_page_end' ) ) :
	/**
	 * Page end html codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_page_end() {
		?>
		</div><!-- #page -->
		<?php
	}
endif;
add_action( 'power_news_page_end_action', 'power_news_page_end', 10 );

if ( ! function_exists( 'power_news_header_start' ) ) :
	/**
	 * Header start html codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_header_start() { 
		$options  = power_news_get_theme_options();
		$header_txt_logo_extra = $options['header_txt_logo_extra'];	
	?>
		<header id="masthead" class="site-header" role="banner">
			<div class="site-branding-container">
				<div class="wrapper">
					<div class="site-branding-wrapper">
						<div class="site-branding">
							<?php if ( in_array( $header_txt_logo_extra, array( 'show-all', 'logo-title', 'logo-tagline' ) )  ) { ?>
								<div class="site-logo">
									<?php the_custom_logo(); ?>
								</div>
							<?php } 
							if ( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title', 'show-all', 'tagline-only', 'logo-tagline' ) ) ) : ?>
								<div id="site-identity">
									<?php
									if( in_array( $header_txt_logo_extra, array( 'show-all', 'title-only', 'logo-title' ) )  ) {
										if ( power_news_is_latest_posts() || power_news_is_frontpage() ) : ?>
											<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php else : ?>
											<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php
										endif;
									} 
									if ( in_array( $header_txt_logo_extra, array( 'show-all', 'tagline-only', 'logo-tagline' ) ) ) {
										$description = get_bloginfo( 'description', 'display' );
										if ( $description || is_customize_preview() ) : ?>
											<p class="site-description"><?php echo esc_html( $description ); /* WPCS: xss ok. */ ?></p>
										<?php
										endif; 
									}?>
								</div>
					    	<?php endif; ?>
						</div><!-- .site-branding -->
						<?php do_action('power_news_advertisement'); ?>
					</div><!-- .site-branding-wrapper -->
				</div><!-- .wrapper -->
			</div>
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
				<?php
				echo power_news_get_svg( array( 'icon' => 'menu' ) );
				echo power_news_get_svg( array( 'icon' => 'close' ) );
				?>		
				<span class="menu-label"><?php esc_html_e( 'Primary Menu', 'power-news' ); ?></span>			
			</button>
			<nav id="site-navigation" class="main-navigation" role="navigation" aria-label="Primary Menu">
				<div class="wrapper">
					<?php 
						$search = '';
							$search .= '<li class="main-navigation-search">';
							$search .= get_search_form( $echo = false );
			                $search .= '</div></li>';

		                $home_icon = '';
		                	$home_icon .= '<li class="current-menu-item home-icon">';
		                	$home_icon .= '<a href='.esc_url( home_url( '/' ) ). '>';
		                	$home_icon .= power_news_get_svg( array( 'icon' => 'home' ) );
		                	$home_icon .= '</li>';

		        		wp_nav_menu( array(
		        			'theme_location' => 'primary',
		        			'container' => false,
		        			'menu_class' => 'menu nav-menu',
		        			'menu_id' => 'primary-menu',
		        			'echo' => true,
		        			'fallback_cb' => 'power_news_menu_fallback_cb',
		        			'items_wrap' => '<ul id="%1$s" class="%2$s">' . $home_icon . '%3$s' . $search . '</ul>',
		        		) );
		        	?>
	        	</div><!-- .wrapper -->
			</nav><!-- #site-navigation -->
		</header><!-- #masthead -->
		<?php
	}
endif;
add_action( 'power_news_header_action', 'power_news_header_start', 10 );

if ( ! function_exists( 'power_news_content_start' ) ) :
	/**
	 * Site content codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_content_start() {
		?>
		<div id="content" class="site-content">
		<?php
	}
endif;
add_action( 'power_news_content_start_action', 'power_news_content_start', 10 );

if ( ! function_exists( 'power_news_header_image' ) ) :
	/**
	 * Header Image codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_header_image() {
		$options  = power_news_get_theme_options();
		if ( power_news_is_frontpage() )
			return;
		$header_image = get_header_image();
		
		?>

    	<?php if ( is_singular() && $options['single_post_hide_banner'] == false ): ?>
    		<div id="page-site-header" class="relative" style="background-image: url('<?php echo esc_url( $header_image ); ?>');">
	    		
	            <div class="overlay"></div>
	            <div class="header-wrapper">
		            <div class="wrapper">
		                <header class="page-header">
		                    <?php power_news_custom_header_banner_title(); ?>
		                </header>

		                <?php power_news_add_breadcrumb(); ?>
		            </div><!-- .wrapper -->
	            </div><!-- .header-wrapper -->
	        </div><!-- #page-site-header -->
    	<?php endif ?>
    	<?php if (is_singular() && $options['single_post_hide_banner'] == true): ?>
    		<div class="header-wrapper wrapper">
                <header class="page-header">
                    <?php power_news_custom_header_banner_title(); ?>
                </header>

                <?php power_news_add_breadcrumb(); ?>
            </div><!-- .header-wrapper -->
    	<?php endif ?>

    	<?php if ( ( is_archive() || is_home() ) && $options['hide_banner'] == false ): ?>
    		<div id="page-site-header" class="relative" style="background-image: url('<?php echo esc_url( $header_image ); ?>');">
	    		
	            <div class="overlay"></div>
	            <div class="header-wrapper">
		            <div class="wrapper">
		                <header class="page-header">
		                    <?php power_news_custom_header_banner_title(); ?>
		                </header>

		                <?php power_news_add_breadcrumb(); ?>
		            </div><!-- .wrapper -->
	            </div><!-- .header-wrapper -->
	        </div><!-- #page-site-header -->
    	<?php endif ?>
    	<?php if ( ( is_archive() || is_home() ) && $options['hide_banner'] == true): ?>
    		<div class="header-wrapper wrapper">
                <header class="page-header">
                    <?php power_news_custom_header_banner_title(); ?>
                </header>

                <?php power_news_add_breadcrumb(); ?>
            </div><!-- .header-wrapper -->
    	<?php endif ?>

    	

	<?php
	}
endif;
add_action( 'power_news_header_image_action', 'power_news_header_image', 10 );

if ( ! function_exists( 'power_news_add_breadcrumb' ) ) :
	/**
	 * Add breadcrumb.
	 *
	 * @since Power News 1.0.0
	 */
	function power_news_add_breadcrumb() {
		$options = power_news_get_theme_options();
		// Bail if Breadcrumb disabled.
		$breadcrumb = $options['breadcrumb_enable'];
		if ( false === $breadcrumb ) {
			return;
		}
		
		// Bail if Home Page.
		if ( power_news_is_frontpage() ) {
			return;
		}

		echo '<div id="breadcrumb-list">';
				/**
				 * power_news_simple_breadcrumb hook
				 *
				 * @hooked power_news_simple_breadcrumb -  10
				 *
				 */
				do_action( 'power_news_simple_breadcrumb' );
		echo '</div><!-- #breadcrumb-list -->';
		return;
	}
endif;

if ( ! function_exists( 'power_news_content_end' ) ) :
	/**
	 * Site content codes
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_content_end() {
		?>
		</div><!-- #content -->
		<?php
	}
endif;
add_action( 'power_news_content_end_action', 'power_news_content_end', 10 );

if ( ! function_exists( 'power_news_footer_start' ) ) :
	/**
	 * Footer starts
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_footer_start() {
		?>
		<footer id="colophon" class="site-footer" role="contentinfo">
		<?php
	}
endif;
add_action( 'power_news_footer', 'power_news_footer_start', 10 );

if ( ! function_exists( 'power_news_footer_site_info' ) ) :
	/**
	 * Footer starts
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_footer_site_info() {
		$options = power_news_get_theme_options();
		$theme_data = wp_get_theme();
		$search = array( '[the-year]', '[site-link]' );

        $replace = array( date( 'Y' ), '<a href="'. esc_url( home_url( '/' ) ) .'">'. esc_attr( get_bloginfo( 'name', 'display' ) ) . '</a>' );

        $options['copyright_text'] = str_replace( $search, $replace, $options['copyright_text'] );

		$copyright_text = $options['copyright_text']; 
		?>
		<div class="site-info">
            <div class="wrapper">
                <span>
                	<?php if (!empty( $copyright_text ) ):
                	echo power_news_santize_allow_tag( $copyright_text ); 
                	if ( function_exists( 'the_privacy_policy_link' ) ) {
						the_privacy_policy_link( ' | ' );
					}
                	endif; ?>
                	<?php echo esc_html__( ' All Rights Reserved | ', 'power-news' ) . esc_html( $theme_data->get( 'Name') ) . '&nbsp;' . esc_html__( 'by', 'power-news' ). '&nbsp;<a target="_blank" href="'. esc_url( $theme_data->get( 'AuthorURI' ) ) .'">'. esc_html( ucwords( $theme_data->get( 'Author' ) ) ) .'</a>' ?>
            	</span>
            </div><!-- .wrapper -->    
        </div><!-- .site-info -->

		<?php
	}
endif;
add_action( 'power_news_footer', 'power_news_footer_site_info', 40 );

if ( ! function_exists( 'power_news_footer_scroll_to_top' ) ) :
	/**
	 * Footer starts
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_footer_scroll_to_top() {
		$options  = power_news_get_theme_options();
		if ( true === $options['scroll_top_visible'] ) : ?>
			<div class="backtotop"><?php echo power_news_get_svg( array( 'icon' => 'up' ) ); ?></div>
		<?php endif;
	}
endif;
add_action( 'power_news_footer', 'power_news_footer_scroll_to_top', 40 );

if ( ! function_exists( 'power_news_footer_end' ) ) :
	/**
	 * Footer starts
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_footer_end() {
		?>
		</footer>
		<?php
	}
endif;
add_action( 'power_news_footer', 'power_news_footer_end', 100 );


if ( ! function_exists( 'power_news_advertisement' ) ) :
	/**
	 * Start div id #advertisement
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_advertisement() { 
		$options = power_news_get_theme_options();
		
		?>
		<?php if( $options['advertisement_section_enable'] != false ) : ?> 
			<?php if ( ! empty( $options['ads_image'] ) && ! empty( $options['ads_url'] ) ) : ?>
						<a href="<?php echo esc_url( $options['ads_url'] ); ?>"><img src="<?php echo esc_url( $options['ads_image'] ); ?>"></a>
			<?php endif; ?>
		<?php endif; ?>
	<?php }
endif;

add_action( 'power_news_advertisement', 'power_news_advertisement', 20 );

if ( ! function_exists( 'power_news_infinite_loader_spinner' ) ) :
	/**
	 *
	 * @since Power News 1.0.0
	 *
	 */
	function power_news_infinite_loader_spinner() { 
		global $post;
		$options = power_news_get_theme_options();
		if ( $options['pagination_type'] == 'infinite' ) :
			if ( count( (array) $post ) > 0 ) {
				echo '<div class="blog-loader">' . power_news_get_svg( array( 'icon' => 'spinner-umbrella' ) ) . '</div>';
			}
		endif;
	}
endif;
add_action( 'power_news_infinite_loader_spinner_action', 'power_news_infinite_loader_spinner', 10 );
